#include <bits/stdc++.h>
using namespace std;
int s_prvi,s_drugi,prvi,drugi;
string rez;
int main(){
  cin>>s_prvi>>s_drugi>>prvi>>drugi;
  if(s_prvi==prvi and s_drugi==drugi){
    rez="nijedan";
  }
  else {
    if(s_prvi-prvi>0 and s_drugi-drugi>0){
      rez="?";
    }
    else{
      if(s_prvi-prvi==0 and s_drugi-drugi>0){
        rez="drugi";
      }
      else{
        rez="prvi";
      }
    }
  }
  cout<<rez<<endl;
  return 0;
}